clear all;close all;clc
n=24;
reps=10000;
CI_A=NaN(reps,2);
CI_B=NaN(reps,2);
p=NaN(reps,1);

for i=1:reps
    A=randn(n,1);
    B=randn(n,1);
    [~,~,CI_A(i,:)]=ttest(A);
    [~,~,CI_B(i,:)]=ttest(B);
    [h,p(i)]=ttest2(A,B);
end

no_overlap=find(min(CI_A')'>max(CI_B')' |  max(CI_A')'<min(CI_B')');

disp(max(p(no_overlap)))

